searchData={"items":[{"type":"module","title":"Dryhard","doc":"Documentation for `Dryhard`.","ref":"Dryhard.html"},{"type":"macro","title":"Dryhard.base/1","doc":"","ref":"Dryhard.html#base/1"},{"type":"macro","title":"Dryhard.change/2","doc":"","ref":"Dryhard.html#change/2"},{"type":"function","title":"Dryhard.config/3","doc":"","ref":"Dryhard.html#config/3"},{"type":"macro","title":"Dryhard.create/2","doc":"","ref":"Dryhard.html#create/2"},{"type":"macro","title":"Dryhard.create/3","doc":"","ref":"Dryhard.html#create/3"},{"type":"macro","title":"Dryhard.delete/1","doc":"","ref":"Dryhard.html#delete/1"},{"type":"macro","title":"Dryhard.filter_by_many/2","doc":"","ref":"Dryhard.html#filter_by_many/2"},{"type":"macro","title":"Dryhard.filter_by_one/2","doc":"","ref":"Dryhard.html#filter_by_one/2"},{"type":"macro","title":"Dryhard.filter_by_one_or_many/2","doc":"","ref":"Dryhard.html#filter_by_one_or_many/2"},{"type":"macro","title":"Dryhard.get/1","doc":"","ref":"Dryhard.html#get/1"},{"type":"macro","title":"Dryhard.get!/1","doc":"","ref":"Dryhard.html#get!/1"},{"type":"macro","title":"Dryhard.get_by_attr/2","doc":"","ref":"Dryhard.html#get_by_attr/2"},{"type":"macro","title":"Dryhard.get_by_attr!/2","doc":"","ref":"Dryhard.html#get_by_attr!/2"},{"type":"macro","title":"Dryhard.get_for/2","doc":"","ref":"Dryhard.html#get_for/2"},{"type":"macro","title":"Dryhard.get_for!/2","doc":"","ref":"Dryhard.html#get_for!/2"},{"type":"macro","title":"Dryhard.join/2","doc":"","ref":"Dryhard.html#join/2"},{"type":"macro","title":"Dryhard.list/1","doc":"","ref":"Dryhard.html#list/1"},{"type":"macro","title":"Dryhard.new/1","doc":"","ref":"Dryhard.html#new/1"},{"type":"macro","title":"Dryhard.order_by/3","doc":"","ref":"Dryhard.html#order_by/3"},{"type":"macro","title":"Dryhard.paginate/1","doc":"","ref":"Dryhard.html#paginate/1"},{"type":"macro","title":"Dryhard.preload/2","doc":"","ref":"Dryhard.html#preload/2"},{"type":"macro","title":"Dryhard.update/2","doc":"","ref":"Dryhard.html#update/2"},{"type":"macro","title":"Dryhard.upsert/3","doc":"","ref":"Dryhard.html#upsert/3"},{"type":"module","title":"Dryhard.Naming","doc":"Conveniences for inflecting and working with names in Phoenix.","ref":"Dryhard.Naming.html"},{"type":"function","title":"Dryhard.Naming.camelize/1","doc":"Converts a string to camel case.\n\nTakes an optional `:lower` flag to return lowerCamelCase.","ref":"Dryhard.Naming.html#camelize/1"},{"type":"function","title":"Examples - Dryhard.Naming.camelize/1","doc":"iex> Dryhard.Naming.camelize(\"my_app\")\n    \"MyApp\"\n\n    iex> Dryhard.Naming.camelize(\"my_app\", :lower)\n    \"myApp\"\n\nIn general, `camelize` can be thought of as the reverse of\n`underscore`, however, in some cases formatting may be lost:\n\n    Dryhard.Naming.underscore \"SAPExample\"  #=> \"sap_example\"\n    Dryhard.Naming.camelize   \"sap_example\" #=> \"SapExample\"","ref":"Dryhard.Naming.html#camelize/1-examples"},{"type":"function","title":"Dryhard.Naming.camelize/2","doc":"","ref":"Dryhard.Naming.html#camelize/2"},{"type":"function","title":"Dryhard.Naming.humanize/1","doc":"Converts an attribute/form field into its humanize version.","ref":"Dryhard.Naming.html#humanize/1"},{"type":"function","title":"Examples - Dryhard.Naming.humanize/1","doc":"iex> Dryhard.Naming.humanize(:username)\n    \"Username\"\n    iex> Dryhard.Naming.humanize(:created_at)\n    \"Created at\"\n    iex> Dryhard.Naming.humanize(\"user_id\")\n    \"User\"","ref":"Dryhard.Naming.html#humanize/1-examples"},{"type":"function","title":"Dryhard.Naming.resource_name/2","doc":"Extracts the resource name from an alias.","ref":"Dryhard.Naming.html#resource_name/2"},{"type":"function","title":"Examples - Dryhard.Naming.resource_name/2","doc":"iex> Dryhard.Naming.resource_name(MyApp.User)\n    \"user\"\n\n    iex> Dryhard.Naming.resource_name(MyApp.UserView, \"View\")\n    \"user\"","ref":"Dryhard.Naming.html#resource_name/2-examples"},{"type":"function","title":"Dryhard.Naming.underscore/1","doc":"Converts a string to underscore case.","ref":"Dryhard.Naming.html#underscore/1"},{"type":"function","title":"Examples - Dryhard.Naming.underscore/1","doc":"iex> Dryhard.Naming.underscore(\"MyApp\")\n    \"my_app\"\n\nIn general, `underscore` can be thought of as the reverse of\n`camelize`, however, in some cases formatting may be lost:\n\n    Dryhard.Naming.underscore \"SAPExample\"  #=> \"sap_example\"\n    Dryhard.Naming.camelize   \"sap_example\" #=> \"SapExample\"","ref":"Dryhard.Naming.html#underscore/1-examples"},{"type":"function","title":"Dryhard.Naming.unsuffix/2","doc":"Removes the given suffix from the name if it exists.","ref":"Dryhard.Naming.html#unsuffix/2"},{"type":"function","title":"Examples - Dryhard.Naming.unsuffix/2","doc":"iex> Dryhard.Naming.unsuffix(\"MyApp.User\", \"View\")\n    \"MyApp.User\"\n\n    iex> Dryhard.Naming.unsuffix(\"MyApp.UserView\", \"View\")\n    \"MyApp.User\"","ref":"Dryhard.Naming.html#unsuffix/2-examples"},{"type":"module","title":"Dryhard.Pager","doc":"Documentation for `Pager`.","ref":"Dryhard.Pager.html"},{"type":"function","title":"Dryhard.Pager.ensure_integer/1","doc":"","ref":"Dryhard.Pager.html#ensure_integer/1"},{"type":"function","title":"Dryhard.Pager.page/4","doc":"","ref":"Dryhard.Pager.html#page/4"},{"type":"module","title":"Dryhard.Testing","doc":"Documentation for `Dryhard.Testing`.\nBased on suggestions from\n- https://elixirforum.com/t/prototyping-and-enforcing-context-function-conventions/38821/2","ref":"Dryhard.Testing.html"},{"type":"macro","title":"Dryhard.Testing.change/1","doc":"","ref":"Dryhard.Testing.html#change/1"},{"type":"function","title":"Dryhard.Testing.check_change/1","doc":"","ref":"Dryhard.Testing.html#check_change/1"},{"type":"function","title":"Dryhard.Testing.check_create/3","doc":"","ref":"Dryhard.Testing.html#check_create/3"},{"type":"function","title":"Dryhard.Testing.check_delete/1","doc":"","ref":"Dryhard.Testing.html#check_delete/1"},{"type":"function","title":"Dryhard.Testing.check_get/1","doc":"","ref":"Dryhard.Testing.html#check_get/1"},{"type":"function","title":"Dryhard.Testing.check_get!/1","doc":"","ref":"Dryhard.Testing.html#check_get!/1"},{"type":"function","title":"Dryhard.Testing.check_list/1","doc":"","ref":"Dryhard.Testing.html#check_list/1"},{"type":"function","title":"Dryhard.Testing.check_new/1","doc":"","ref":"Dryhard.Testing.html#check_new/1"},{"type":"function","title":"Dryhard.Testing.check_paginate/1","doc":"","ref":"Dryhard.Testing.html#check_paginate/1"},{"type":"function","title":"Dryhard.Testing.check_update/3","doc":"","ref":"Dryhard.Testing.html#check_update/3"},{"type":"function","title":"Dryhard.Testing.config/2","doc":"","ref":"Dryhard.Testing.html#config/2"},{"type":"macro","title":"Dryhard.Testing.create/2","doc":"","ref":"Dryhard.Testing.html#create/2"},{"type":"macro","title":"Dryhard.Testing.create/3","doc":"","ref":"Dryhard.Testing.html#create/3"},{"type":"macro","title":"Dryhard.Testing.delete/1","doc":"","ref":"Dryhard.Testing.html#delete/1"},{"type":"macro","title":"Dryhard.Testing.get/1","doc":"","ref":"Dryhard.Testing.html#get/1"},{"type":"macro","title":"Dryhard.Testing.get!/1","doc":"","ref":"Dryhard.Testing.html#get!/1"},{"type":"macro","title":"Dryhard.Testing.list/1","doc":"","ref":"Dryhard.Testing.html#list/1"},{"type":"macro","title":"Dryhard.Testing.new/1","doc":"","ref":"Dryhard.Testing.html#new/1"},{"type":"macro","title":"Dryhard.Testing.paginate/1","doc":"","ref":"Dryhard.Testing.html#paginate/1"},{"type":"macro","title":"Dryhard.Testing.update/2","doc":"","ref":"Dryhard.Testing.html#update/2"},{"type":"macro","title":"Dryhard.Testing.update/3","doc":"","ref":"Dryhard.Testing.html#update/3"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}